com.fasterxml.jackson.dataformat.csv.impl

## Class NumberInput

- java.lang.Object
- - com.fasterxml.jackson.dataformat.csv.impl.NumberInput

-     public final class NumberInput
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NASTY_SMALL_DOUBLE` Textual representation of a double constant that can cause nasty problems with JDK (see http://www.exploringbinary.com/java-hangs-when-converting-2-2250738585072012e-308).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberInput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `inLongRange(char[] digitChars, int offset, int len, boolean negative)` Helper method for determining if given String representation of an integral number would fit in 64-bit Java long or not.
    `static double` | `parseDouble(String numStr)`
    `static int` | `parseInt(char[] digitChars, int offset, int len)` Fast method for parsing integers that are known to fit into regular 32-bit signed int type.
    `static long` | `parseLong(char[] digitChars, int offset, int len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NASTY_SMALL_DOUBLE

          public static final String NASTY_SMALL_DOUBLE

      Textual representation of a double constant that can cause nasty problems with JDK (see http://www.exploringbinary.com/java-hangs-when-converting-2-2250738585072012e-308).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NumberInput

          public NumberInput()

  - ### Method Detail

    - #### parseInt

          public static final int parseInt(char[] digitChars,
                     int offset,
                     int len)

      Fast method for parsing integers that are known to fit into regular 32-bit signed int type. This means that length is between 1 and 9 digits (inclusive)

      Note: public to let unit tests call it

    - #### parseLong

          public static final long parseLong(char[] digitChars,
                       int offset,
                       int len)

    - #### inLongRange

          public static final boolean inLongRange(char[] digitChars,
                            int offset,
                            int len,
                            boolean negative)

      Helper method for determining if given String representation of an integral number would fit in 64-bit Java long or not. Note that input String must NOT contain leading minus sign (even if 'negative' is set to true).
      Parameters:
        `negative` - Whether original number had a minus sign (which is NOT passed to this method) or not

    - #### parseDouble

          public static final double parseDouble(String numStr)
                                          throws NumberFormatException

      Throws:
        `NumberFormatException`

Copyright © 2017 FasterXML. All rights reserved.